<template>
    <div class="edit-view">
        <el-form
            :model="formData"
            :rules="rules"
            ref="form"
            label-width="80px"
            label-position="right"
            size="small"
            style="max-width: 500px;"
        >
            <el-form-item prop="userId" label="被核销人">
                <el-input v-model="formData.nickname"></el-input>
            </el-form-item>
            <el-form-item prop="writeOffUserId" label="核销人">
                <el-input v-model="formData.writeOffNickname"></el-input>
            </el-form-item>
            <el-form-item prop="content" label="核销内容">
                <!--<el-input v-model="formData.content"></el-input>-->
                <div v-for="item in formData.goods" :key="item.name">
                    <el-col :span="16">
                        <el-input v-model="item.name"></el-input>
                    </el-col>
                    <el-col :span="8">
                        <el-input v-model="item.num"></el-input>
                    </el-col>
                </div>
            </el-form-item>
            <el-form-item prop="createdAt" label="核销时间">
                <el-date-picker
                    v-model="formData.createdAt"
                    type="datetime"
                    value-format="yyyy-MM-dd HH:mm:ss"
                    placeholder="选择日期时间"
                >
                </el-date-picker>
            </el-form-item>
            <el-form-item>
                <!--<el-button @click="onSave" :loading="saving" type="primary">保存</el-button>-->
                <el-button @click="onDelete" :loading="saving" type="danger" v-if="formData.id">删除</el-button>
                <el-button @click="$router.go(-1)">返回</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
export default {
    name: 'UserPackageFlowEdit',
    created() {
        if (this.$route.query.id) {
            this.$http
                .get('userPackageFlow/getDTO/' + this.$route.query.id)
                .then(res => {
                    this.formData = res;
                })
                .catch(e => {
                    console.log(e);
                    this.$message.error(e.error);
                });
        }
    },
    data() {
        return {
            saving: false,
            formData: {
                goods: []
            },
            rules: {},
            typeOptions: [
                { label: '购买', value: 'BUY' },
                { label: '核销', value: 'WRITE_OFF' }
            ]
        };
    },
    methods: {
        onSave() {
            this.$refs.form.validate(valid => {
                if (valid) {
                    this.submit();
                } else {
                    return false;
                }
            });
        },
        submit() {
            let data = { ...this.formData };

            this.saving = true;
            this.$http
                .post('/userPackageFlow/save', data, { body: 'json' })
                .then(res => {
                    this.saving = false;
                    this.$message.success('成功');
                    this.$router.go(-1);
                })
                .catch(e => {
                    console.log(e);
                    this.saving = false;
                    this.$message.error(e.error);
                });
        },
        onDelete() {
            this.$alert('删除将无法恢复，确认要删除么？', '警告', { type: 'error' })
                .then(() => {
                    return this.$http.post(`/userPackageFlow/del/${this.formData.id}`);
                })
                .then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                })
                .catch(e => {
                    if (e !== 'cancel') {
                        console.log(e);
                        this.$message.error(e.error);
                    }
                });
        }
    }
};
</script>
<style lang="less" scoped></style>
